### Method

# AppStream Suggested add_id

#### Declaration [src]

    void
    as_suggested_add_id (
      AsSuggested* suggested,
      const gchar* cid
    )

#### Description [src]

Add a component id to this suggested object.

#### Parameters

`cid`

  Type: `const gchar*`

  The component id to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.